> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit job to delete external users

> Delete external users from current user enterprise. This will remove each external user from all invited collaborations within the current enterprise.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml box-openapi-v2025.0.json POST /external_users/submit_delete_job
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 056413ec44
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: >-
      Box Doc Gen automatically generates documents from Box Doc Gen templates.
      These resources represent the generation jobs and batches returned by the
      Box Doc Gen endpoints, including their status and output files.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /external_users/submit_delete_job:
    post:
      tags:
        - External Users
      summary: Submit job to delete external users
      description: >-
        Delete external users from current user enterprise. This will remove
        each external user from all invited collaborations within the current
        enterprise.
      operationId: post_external_users_submit_delete_job_v2025.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExternalUsersSubmitDeleteJobRequest'
      responses:
        '207':
          description: >-
            Multi-status response containing the result for each external user
            deletion request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalUsersSubmitDeleteJobResponse'
        '404':
          description: >-
            Returns an error if the listed external users are not found, or the
            authenticated user does not have the right permissions to delete
            external users.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: An unexpected client error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Submit job to delete external users
          source: >-
            curl -i -X POST
            "https://api.box.com/2.0/external_users/submit_delete_job" \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>" \
                 -H "content-type: application/json" \
                 -d '{
                   "external_users": [
                     {
                       "type": "user",
                       "id": "12345"
                     }
                   ]
                 }'
        - lang: dotnet
          label: Submit job to delete external users
          source: >-
            await
            client.ExternalUsers.SubmitJobToDeleteExternalUsersV2025R0Async(requestBody:
            new ExternalUsersSubmitDeleteJobRequestV2025R0(externalUsers:
            Array.AsReadOnly(new [] {new UserReferenceV2025R0(id:
            Utils.GetEnvVar(name: "BOX_EXTERNAL_USER_ID"))})));
        - lang: swift
          label: Submit job to delete external users
          source: >-
            try await
            client.externalUsers.submitJobToDeleteExternalUsersV2025R0(requestBody:
            ExternalUsersSubmitDeleteJobRequestV2025R0(externalUsers:
            [UserReferenceV2025R0(id: Utils.getEnvironmentVariable(name:
            "BOX_EXTERNAL_USER_ID"))]))
        - lang: java
          label: Submit job to delete external users
          source: >-
            client.getExternalUsers().submitJobToDeleteExternalUsersV2025R0(new
            ExternalUsersSubmitDeleteJobRequestV2025R0(Arrays.asList(new
            UserReferenceV2025R0(getEnvVar("BOX_EXTERNAL_USER_ID")))))
        - lang: node
          label: Submit job to delete external users
          source: |-
            await client.externalUsers.submitJobToDeleteExternalUsersV2025R0({
              externalUsers: [
                new UserReferenceV2025R0({ id: getEnvVar('BOX_EXTERNAL_USER_ID') }),
              ],
            } satisfies ExternalUsersSubmitDeleteJobRequestV2025R0);
        - lang: python
          label: Submit job to delete external users
          source: |-
            client.external_users.submit_job_to_delete_external_users_v2025_r0(
                [UserReferenceV2025R0(id=get_env_var("BOX_EXTERNAL_USER_ID"))]
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    ExternalUsersSubmitDeleteJobRequest:
      description: >-
        Request to submit a job to delete external users from the current
        enterprise.
      type: object
      properties:
        external_users:
          description: List of external users to delete.
          type: array
          items:
            $ref: '#/components/schemas/UserReference'
      required:
        - external_users
      title: External Users Submit Delete Job Request
    ExternalUsersSubmitDeleteJobResponse:
      description: >-
        Multi-status response containing the result for each external user
        deletion request.
      type: object
      properties:
        entries:
          description: Array of results of each external user deletion request.
          type: array
          items:
            $ref: '#/components/schemas/ExternalUserDeletionResult'
      required:
        - entries
      title: External Users Submit Delete Job Response
      x-box-resource-id: external_users_submit_delete_job_response_v2025.0
      x-box-tag: external_users
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    UserReference:
      description: User reference.
      type: object
      properties:
        type:
          description: The value is always `user`.
          type: string
          example: user
          enum:
            - user
        id:
          description: The unique identifier for the user.
          type: string
          example: '12345'
      required:
        - type
        - id
      title: User reference
    ExternalUserDeletionResult:
      description: Result of a single external user deletion request.
      type: object
      properties:
        user_id:
          description: The ID of the external user.
          type: string
          example: '12345'
        status:
          description: HTTP status code for a specific user's deletion request.
          type: integer
          example: 202
        detail:
          description: >-
            Deletion request status details. This property is only present when
            the deletion request is not successful.
          type: string
      required:
        - user_id
        - status
      title: External User Deletion Result
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````